
model(linear);

%%%%%%%%%%% Oferta agregada %%%%%%%%%%%

[name = 'Curva AS']
pi = e + nu * y + e_s;

[name = 'Expectativa de inflação']
e = pi(+1) + e_e;
%e = phi1 * e(-1) + phi2 * pi(+1) +  phi3 * infl_12m(-1) + ( 1 - phi1 - phi2 - phi3 ) * pibar + e_e;

%%%%%%%%%%% Demanda agregada %%%%%%%%%%%

[name = 'Curva AD']
y = alpha * ( a - b * ( r - rbar ) ) + ( 1 - alpha ) * y(-1) + e_y;

[name = 'Curva MR']
i = theta1 * i(-1) + theta2 * i(-2) + theta3 * ( rbar + m * ( expec12m - pibar ) ) + e_i;

%%%%%%%%%%% Identidades %%%%%%%%%%%

[name = 'Equação de Fisher']
i = r + pi(+1);
%usando essa especificação, o hiato sobe e cai lentamente até fechar
%i = r + pi;

infl_12m = pi + pi(-1) + pi(-2) + pi(-3);

expec12m = e(+1) + e(+2) + e(+3) + e(+4);

end;
